Arduino

Serial

## flush()

#### Description

Waits for the transmission of outgoing serial data to complete. (Prior to Arduino 1.0, this instead removed any buffered incoming serial data.)

flush() inherits from the Stream utility class.

#### Syntax

Serial.flush()

Arduino Mega only:
Serial1.flush()
Serial2.flush()
Serial3.flush()

#### Parameters

none

#### Returns

nothing

#### See also

- begin()
- end()
- available()
- read()
- peek()
- parseInt()
- flush()
- print()
- println()
- write()
- SerialEvent()
- Stream.flush()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes